Package com.creditcall.chipdnamobile

# Class SOAPTransactionStatistics

java.lang.Object
com.creditcall.chipdnamobile.SOAPTransactionStatistics

public class SOAPTransactionStatistics extends Object
This class contains the transaction statistics.

Author:
  Creditcall Ltd

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getAmount()`
  Gets the amount for group of the transaction statistics, indicating the total amount for all transactions.
  `String`
  `getCurrencyAlpha()`
  Gets the currency alpha code of the transaction statistics, as defined in ISO 4217.
  `int`
  `getCurrencyCode()`
  Gets the currency numeric code of the transaction statistics, as defined in ISO 4217.
  `ResultID`
  `getResultID()`
  Gets the result ID of the transaction statistics.
  `StateID`
  `getStateID()`
  Gets the state ID of the transaction statistics.
  `TransactionTypeID`
  `getTransactionTypeID()`
  Gets the transaction type ID of the transaction statistics.
  `int`
  `getVolume()`
  Gets the volume for group of the transaction statistics, indicating the total number of the transactions.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getResultID

    public ResultID getResultID()
    Gets the result ID of the transaction statistics.
    Returns:
      The result ID of the transaction statistics.

  - ### getStateID

    public StateID getStateID()
    Gets the state ID of the transaction statistics.
    Returns:
      The state ID of the transaction statistics.

  - ### getTransactionTypeID

    public TransactionTypeID getTransactionTypeID()
    Gets the transaction type ID of the transaction statistics.
    Returns:
      The transaction type ID of the transaction statistics.

  - ### getCurrencyAlpha

    public String getCurrencyAlpha()
    Gets the currency alpha code of the transaction statistics, as defined in ISO 4217.
    Returns:
      The currency alpha code of the transaction statistics.

  - ### getCurrencyCode

    public int getCurrencyCode()
    Gets the currency numeric code of the transaction statistics, as defined in ISO 4217.
    Returns:
      The currency numeric code of the transaction statistics.

  - ### getVolume

    public int getVolume()
    Gets the volume for group of the transaction statistics, indicating the total number of the transactions.
    Returns:
      The volume for group of the transaction statistics.

  - ### getAmount

    public double getAmount()
    Gets the amount for group of the transaction statistics, indicating the total amount for all transactions.
    Returns:
      The amount for group of the transaction statistics.